#
# spec file for package python-apipkg
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-apipkg
Version:        1.4
Release:        1.1
Summary:        Namespace control and lazy-import mechanism
License:        MIT
Group:          Development/Languages/Python
Url:            http://bitbucket.org/hpk42/apipkg
Source:         http://pypi.python.org/packages/source/a/apipkg/apipkg-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  unzip
# Testsuite BuildRequires:
#BuildRequires:  python-nose
#BuildRequires:  python-py
#BuildRequires:  python-pytest
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
With apipkg you can control the exported namespace of a
python package and greatly reduce the number of imports for your users.
It is a `small pure python module`_ that works on virtually all Python
versions, including CPython2.3 to Python3.1, Jython and PyPy.  It co-operates
well with Python's ``help()`` system, custom importers (PEP302) and common
command line completion tools.

Usage is very simple: you can require 'apipkg' as a dependency or you
can copy paste the <100 Lines of code into your project.

%prep
%setup -q -n apipkg-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

#TODO: Fix:
#%%check
#nosetests

%files
%defattr(-,root,root,-)
%doc README.txt LICENSE
%{python_sitelib}/*

%changelog
* Fri Mar 11 2016 tbechtold@suse.com
- update to 1.4:
  - revert the automated version gathering
  - fix issue2 - adapt tests on Jython
  - handle jython __pkgpath__ missabstraction when running python from jar files
  - alias modules pointing to unimportable modules will return None for
    all their attributes instead of raising ImportError.  This addresses
    python3.4 where any call to getframeinfo() can choke on sys.modules
    contents if pytest is not installed (because py.test.* imports it).
  - introduce apipkg.distribution_version(name) as helper to
    obtain the current version number of a package from install metadata
    its used by default with the package name
  - add an eagerloading option and eagerload automatically
    if bpython is used (workaround for their monkeypatching)
- Switch to use .tar.gz sdist instead of zip
- Install LICENSE
- BuildRequires python-setuptools
* Tue Nov 20 2012 saschpe@suse.de
- Initial version
